Lavalite package that provides invoice management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `cart/invoice`.

    "cart/invoice": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Cart\Invoice\Providers\InvoiceServiceProvider::class,

And also add it to alias

    'Invoice'  => Cart\Invoice\Facades\Invoice::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Cart\\InvoiceTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Cart\Invoice\Providers\InvoiceServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Cart\Invoice\Providers\InvoiceServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Cart\Invoice\Providers\InvoiceServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/invoice/{modulename}

**User**

    http://path-to-route-folder/user/invoice/{modulename}

**Public**

    http://path-to-route-folder/invoices


### API endpoints

**List**

    http://path-to-route-folder/api/user/invoice/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/invoice/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/invoice/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/invoice/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/invoice/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/invoice/{modulename}/{slug}
    METHOD: GET